> For a complete page index, fetch https://developer.close.com/llms.txt # Get a single Lead GET https://api.close.com/api/v1/lead/{id}/ Reference: https://developer.close.com/api/resources/leads/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Query parameters - `_fields` (string, optional) — Comma-separated list of fields to include in the response. ## Response ### 200 Successful response - `contact_ids` (list of string, required) - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_updated` (datetime, required) - `description` (string, required, nullable) - `html_url` (string, required) - `id` (string, required) - `name` (string, required, nullable) - `organization_id` (string, required) - `status_id` (string, required) - `updated_by` (string, required, nullable) - `url` (string, required, nullable) - `addresses` (list of LeadAddress, optional) - `contacts_summary` (string, optional) - `created_by_name` (string, optional, nullable) - `display_name` (string, optional) - `integration_links` (list of RenderedIntegrationLink, optional) - `localtime` (datetime, optional, nullable) - `primary_address_full` (string, optional, nullable) - `primary_address_summary` (string, optional, nullable) - `primary_email` (ContactEmail, optional, nullable) - `primary_phone` (ContactPhone, optional, nullable) - `recent_calls` (list of map from string to any, optional) - `source` (string, optional, nullable) - `status_label` (string, optional) - `summaries` (list of map from string to any, optional) - `tasks` (list of map from string to any, optional) - `updated_by_name` (string, optional, nullable) - `contacts` (list of Contact, optional, deprecated) - `opportunities` (list of Opportunity, optional, deprecated) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Types ### LeadAddress - `address_1` (string, required, nullable) - `address_2` (string, required, nullable) - `city` (string, required, nullable) - `country` (string, required, nullable) - `label` (string, required, nullable) - `state` (string, required, nullable) - `zipcode` (string, required, nullable) - `tz_ids` (list of string, optional) ### RenderedIntegrationLink - `name` (string, required) - `url` (string, required) ### ContactEmail - `email` (string, required) - `is_unsubscribed` (boolean, required) - `type` (string, required) ### ContactPhone - `phone` (string, required) - `type` (string, required) - `country` (string, optional, nullable) - `outbound_sms_blocked` (boolean, optional) - `phone_formatted` (string, optional) - `tz_ids` (list of string, optional) ### Contact - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_updated` (datetime, required) - `display_name` (string, required) - `id` (string, required) - `name` (string, required, nullable) - `organization_id` (string, required) - `title` (string, required, nullable) - `updated_by` (string, required, nullable) - `emails` (list of ContactEmail, optional) - `integration_links` (list of RenderedIntegrationLink, optional) - `lead_id` (string, optional, nullable) - `lead_suggestions_operation_id` (string, optional, nullable) - `phones` (list of ContactPhone, optional) - `recent_calls` (list of ContactRecentCall, optional) - `subscriptions` (list of BasicSubscriptionInfoForContact, optional) - `timezone` (string, optional, nullable) - `timezone_source` (string, optional, nullable) - `urls` (list of ContactUrl, optional) ### Opportunity - `annualized_expected_value` (integer, required, nullable) - `annualized_value` (integer, required, nullable) - `confidence` (integer, required) - `contact_id` (string, required, nullable) - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_lost` (datetime, required, nullable) - `date_updated` (datetime, required) - `date_won` (date, required, nullable) - `expected_value` (integer, required, nullable) - `id` (string, required) - `lead_id` (string, required) - `note` (string, required, nullable) - `note_html` (string, required, nullable) - `organization_id` (string, required) - `status_id` (string, required) - `updated_by` (string, required, nullable) - `user_id` (string, required) - `value` (integer, required, nullable) - `value_period` (enum, required) - Allowed values: `one_time`, `monthly`, `annual` - `attachments` (list of Attachment, optional) - `comment_summary` (CommentSummary, optional, nullable) - `contact_name` (string, optional, nullable) - `created_by_name` (string, optional, nullable) - `integration_links` (list of RenderedIntegrationLink, optional) - `is_stalled` (boolean, optional) - `lead_name` (string, optional, nullable) - `lead_primary_email` (ContactEmail, optional, nullable) - `lead_primary_phone` (list of ContactPhone, optional, nullable) - `pipeline_id` (string, optional, nullable) - `pipeline_name` (string, optional, nullable) - `stall_status` (StalledOpportunityActionItems, optional, nullable) - `status_display_name` (string, optional) - `status_label` (string, optional) - `status_type` (enum, optional) - Allowed values: `won`, `lost`, `active` - `suggested_action` (OpportunitySuggestedAction, optional, nullable) - `updated_by_name` (string, optional, nullable) - `user_name` (string, optional, nullable) - `value_currency` (string, optional, nullable) - `value_formatted` (string, optional, nullable) ### ContactRecentCall - `dialer_id` (string, required, nullable) - `duration` (integer, required) - `finish_timestamp` (datetime, required) - `id` (string, required) - `status` (enum, required) — Current status of the call. - Allowed values: `created`, `in-progress`, `completed`, `cancel`, `no-answer`, `busy`, `failed`, `timeout` ### BasicSubscriptionInfoForContact - `contact_email` (string, required, nullable) - `date_created` (datetime, required) - `initial_email_id` (string, required, nullable) - `sequence_id` (string, required) - `sequence_name` (string, required) - `sequence_status` (enum, required) - Allowed values: `active`, `paused`, `draft` - `start_date` (datetime, required, nullable) - `subscription_id` (string, required) - `subscription_status` (enum, required) - Allowed values: `active`, `paused`, `finished`, `goal`, `error` - `subscription_status_reason` (enum, required, nullable) — Reason for each higher level status on a Workflow run. - Allowed values: `manual`, `pending-call-timed-out`, `bulk-action`, `rate-limited`, `sequence-deleted`, `workflow-paused`, `filter-not-matched`, `insufficient-ai-credit-balance`, `plan-not-supported`, `reply-received`, `call-answered`, `meeting-booked`, `lead-status-changed`, `outcome-met`, `account-invalid`, `account-failures`, `sending-throttled-too-long`, `membership-inactive`, `send-as-error`, `email-bounced`, `call-failed`, `sms-failed`, `no-user-phone`, `billing-error`, `assignment-field-invalid`, `lead-status-field-invalid`, `assignees-missing`, `run-as-disabled`, `lead-not-visible`, `internal-error`, `field-mapping-error`, `filter-config-invalid`, `email-ai-generation-failed` ### ContactUrl - `type` (string, required) - `url` (string, required) ### Attachment - `content_type` (string, required, nullable) - `filename` (string, required, nullable) - `size` (integer, required, nullable) - `url` (string, required) - `thumbnail_url` (string, optional, nullable) ### CommentSummary - `comment_count` (integer, required) - `thread_id` (string, required) ### StalledOpportunityActionItems - `communication_issue` (enum, required) — The communication issue that is causing the stalled opportunity. If there is no issue, set to NoIssue. - Allowed values: `no_issue`, `cant_get_in_touch`, `no_communication_attempts` - `next_action` (ActionItem, required, deprecated) — An action item recommended to progress or resolve the stalled opportunity. ### OpportunitySuggestedAction - `action` (enum, required) - Allowed values: `change_status`, `adjust_close_date`, `follow_up_email`, `follow_up_call`, `follow_up_sms` - `details` (OpportunitySuggestedActionDetails, required, nullable) - `justification` (string, required) ### ActionItem - `action` (enum, required) — The recommended next step to progress or resolve the stalled opportunity - Allowed values: `mark_as_lost`, `change_status`, `follow_up`, `adjust_close_date`, `ask_someone_else_to_reach_out`, `change_communication_method` - `justification` (string, required) — A short justification for the recommended action in the sales pipeline. Maximum 2 sentences. ### OpportunitySuggestedActionDetails ### OpportunityChangeStatusActionDetails - `status_id` (string, required) ### OpportunityFollowUpEmailActionDetails - `contact_id` (string, required) - `message_draft` (string, required) - `subject_draft` (string, required) ### OpportunityFollowUpSMSActionDetails - `contact_id` (string, required) - `message_draft` (string, required) ### OpportunityFollowUpCallActionDetails - `call_plan` (string, required) - `contact_id` (string, required) ### OpportunityAdjustCloseDateActionDetails - `close_date` (date, required) ## Examples **Response** ```json { "contact_ids": [ "cont_o0kP3Nqyq0wxr5DLWIEm8mVr6ZpI0AhonKLDG0V5Qjh" ], "created_by": null, "date_created": "2013-02-01T00:54:51.333000+00:00", "date_updated": "2013-02-06T20:53:01.977000+00:00", "description": "", "html_url": "https://app.close.com/lead/lead_IIDHIStmFcFQZZP0BRe99V1MCoXWz2PGCm6EDmR9v2O/", "id": "lead_IIDHIStmFcFQZZP0BRe99V1MCoXWz2PGCm6EDmR9v2O", "name": "Wayne Enterprises (Sample Lead)", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "status_id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "url": null, "addresses": [], "display_name": "Wayne Enterprises (Sample Lead)", "status_label": "Potential", "tasks": [], "contacts": [ { "created_by": null, "date_created": "2013-02-01T00:54:51.331000+00:00", "date_updated": "2013-02-06T20:53:01.954000+00:00", "display_name": "Bruce Wayne", "id": "cont_o0kP3Nqyq0wxr5DLWIEm8mVr6ZpI0AhonKLDG0V5Qjh", "name": "Bruce Wayne", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "title": "The Dark Knight", "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "emails": [ { "email": "thedarkknight@close.com", "is_unsubscribed": false, "type": "office" } ], "phones": [ { "phone": "+16503334444", "type": "office", "phone_formatted": "+1 650-333-4444" } ], "custom.cf_j0P7kHmgFTZZnYBFtyPSZ3uQw4dpW8xKcW7Krps8atj": "CEO" } ], "opportunities": [ { "annualized_expected_value": 37500, "annualized_value": 50000, "confidence": 75, "contact_id": null, "created_by": null, "date_created": "2013-02-01T00:54:51.337000+00:00", "date_lost": null, "date_updated": "2013-02-01T00:54:51.337000+00:00", "date_won": null, "expected_value": 37500, "id": "oppo_8eB77gAdf8FMy6GsNHEy84f7uoeEWv55slvUjKQZpJt", "lead_id": "lead_IIDHIStmFcFQZZP0BRe99V1MCoXWz2PGCm6EDmR9v2O", "note": "Bruce needs new software for the Bat Cave.", "note_html": "

Bruce needs new software for the Bat Cave.

", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "status_id": "stat_4ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk", "updated_by": null, "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "value": 50000, "value_period": "one_time", "lead_name": "Wayne Enterprises (Sample Lead)", "pipeline_id": "pipe_04fC628PVB0HjK2Qq5EqEf", "pipeline_name": "Sales", "status_label": "Active", "status_type": "active", "user_name": "John Doe", "value_currency": "USD", "value_formatted": "$500" }, { "annualized_expected_value": 45000, "annualized_value": 60000, "confidence": 75, "contact_id": null, "created_by": null, "date_created": "2013-02-01T00:54:51.337000+00:00", "date_lost": null, "date_updated": "2013-02-01T00:54:51.337000+00:00", "date_won": null, "expected_value": 3750, "id": "oppo_klajsdflf8FMy6GsNHEy84f7uoeEWv55slvUjKQZpJt", "lead_id": "lead_IIDHIStmFcFQZZP0BRe99V1MCoXWz2PGCm6EDmR9v2O", "note": "Bat Cave monthly maintenance cost", "note_html": "

Bat Cave monthly maintenance cost

", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "status_id": "stat_4ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk", "updated_by": null, "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "value": 5000, "value_period": "monthly", "lead_name": "Wayne Enterprises (Sample Lead)", "pipeline_id": "pipe_04fC628PVB0HjK2Qq5EqEf", "pipeline_name": "Sales", "status_label": "Active", "status_type": "active", "user_name": "John Doe", "value_currency": "USD", "value_formatted": "$50 monthly" } ], "custom.cf_ORxgoOQ5YH1p7lDQzFJ88b4z0j7PLLTRaG66m8bmcKv": "Website contact form", "custom.cf_nenE344jkwrjyRRezwsf8b4V1MCoXWIDHIStmFavZks": [ "Choice 1", "Choice 2" ] } ``` **SDK Code** ```python leads_get_example import requests url = "https://api.close.com/api/v1/lead/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript leads_get_example const url = 'https://api.close.com/api/v1/lead/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go leads_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/lead/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby leads_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/lead/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java leads_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/lead/id/") .basicAuth("", "") .asString(); ``` ```php leads_get_example request('GET', 'https://api.close.com/api/v1/lead/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp leads_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/lead/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```